# Interface MathTransform1D

All Superinterfaces:
  `MathTransform`

All Known Implementing Classes:
  `AbstractMathTransform1D, AbstractMathTransform1D​.Inverse`

public interface MathTransform1D extends MathTransform
Transforms one-dimensional coordinate points. `CoordinateOperation​.getMathTransform()` may returns instance of this interface when source and destination coordinate systems are both one dimensional. `MathTransform1D` extends `MathTransform` by adding a simple method transforming a value without the overhead of creating data array.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `derivative(double value)`
  Gets the derivative of this function at a value.
  `MathTransform1D`
  `inverse()`
  Creates the inverse transform of this object.
  `double`
  `transform(double value)`
  Transforms the specified value.

  ### Methods inherited from interface MathTransform

  `derivative, getSourceDimensions, getTargetDimensions, isIdentity, toWKT, transform, transform, transform, transform, transform`

- ## Method Details

  - ### transform

    double transform(double value) throws TransformException
    Transforms the specified value.
    Parameters:
      `value` - The value to transform.
    Returns:
      the transformed value.
    Throws:
      `TransformException` - if the value cannot be transformed.

  - ### derivative

    double derivative(double value) throws TransformException
    Gets the derivative of this function at a value. The derivative is the 1×1 matrix of the non-translating portion of the approximate affine map at the value.
    Parameters:
      `value` - The value where to evaluate the derivative.
    Returns:
      The derivative at the specified point.
    Throws:
      `TransformException` - if the derivative cannot be evaluated at the specified point.

  - ### inverse

    MathTransform1D inverse() throws NoninvertibleTransformException
    Creates the inverse transform of this object.
    Specified by:
      `inverse` in interface `MathTransform`
    Returns:
      The inverse transform.
    Throws:
      `NoninvertibleTransformException` - if the transform cannot be inverted.
    Since:
      2.2